HTML_BUILD_DIR = $(top_builddir)

#if MAINTAINER_MODE

HTML_RECURSIVE_TARGETS = install-html-recursive

html-am:
	@if test -f $(HTML_BUILD_DIR)/Doxyfile; then \
	  echo "cd $(HTML_BUILD_DIR) && $(DOXYGEN)"; \
	  d=`pwd`; cd $(HTML_BUILD_DIR) && $(DOXYGEN); cd $$d; \
	  if test -n "$(POST_DOXYGEN_CLEANFILES)"; then \
	    cd $(HTML_BUILD_DIR)/html && rm -f $(POST_DOXYGEN_CLEANFILES); \
	  fi; \
	else \
	  echo "Nothing to be done for \`$@'."; \
	fi

clean-html: clean-html-am

clean-html-am:
	-rm -rf $(HTML_BUILD_DIR)/html

install-html-am: html-am install-html-generic

#else

#HTML_RECURSIVE_TARGETS = install-html-recursive

#install-html-am: install-html-generic

#endif

install-html: install-html-recursive

install-html-generic:
	@$(NORMAL_INSTALL)
	@if test -d $(HTML_BUILD_DIR)/html; then \
	  echo "$(mkinstalldirs) $(DESTDIR)$(htmldir)"; \
	  $(mkinstalldirs) $(DESTDIR)$(htmldir); \
	  list="`ls -1 $(HTML_BUILD_DIR)/html`"; \
	  for p in $$list; do \
	    if test -f $(HTML_BUILD_DIR)/html/$$p; then \
	      echo " $(INSTALL_DATA) $(HTML_BUILD_DIR)/html/$$p $(DESTDIR)$(htmldir)/$$p"; \
	      $(INSTALL_DATA) $(HTML_BUILD_DIR)/html/$$p $(DESTDIR)$(htmldir)/$$p; \
	    else if test -f $$p; then \
	      echo " $(INSTALL_DATA) $$p $(DESTDIR)$(htmldir)/$$p"; \
	      $(INSTALL_DATA) $$p $(DESTDIR)$(htmldir)/$$p; \
	    fi; fi; \
	  done; \
	fi

uninstall-html:
	@$(NORMAL_UNINSTALL)
	@list="`ls -1 $(DESTDIR)$(htmldir)`"; \
	for p in $$list; do \
	  echo " rm -f $(DESTDIR)$(htmldir)/$$p"; \
	  rm -f $(DESTDIR)$(htmldir)/$$p; \
	done

$(HTML_RECURSIVE_TARGETS):
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(HTML_SUBDIRS)'; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"
